The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

EA4 dso with ruid2 and multiphp

Discussion in 'EasyApache' started by Recifier, Jun 27, 2016.

Tags:
  1. Recifier

    Recifier Member

    Joined:
    Jan 28, 2015
    Messages:
    12
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Root Administrator
    I'm looking to try out EA4, but I'm a little confused with the restriction of dso for a single php version.

    I run ruid2 with dso currently under ea3, but would like to have multiphp functionality. I'm worried that if I can only install dso for one version of php, will ruid2 still work for the other php versions?

    For example, if I install php5.6 and its dso package but also have 5.5 and 5.4 available, can the latter two work with the 5.6's dso package? If not, is there another handler I should be using for 5.5/5.4 which will work well with ruid2?
     
  2. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,678
    Likes Received:
    648
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Hello,

    You can only use DSO as the handler for one version of PHP on your system. If you install more than one DSO package, you must uninstall all but one package, or else the handler will not function correctly. This is documented at:

    PHP Handlers - EasyApache 4 - cPanel Documentation

    As far as Mod_Ruid2 compatibility, it's advised that you only use Mod_Ruid2 with DSO.

    Thank you.
     
  3. Recifier

    Recifier Member

    Joined:
    Jan 28, 2015
    Messages:
    12
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Root Administrator
    Thanks Michael, I understand that restriction.

    However, it doesn't answer my question.

    Are you saying that I cant use ruid2 if I want to use multiple php versions?
     
  4. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,678
    Likes Received:
    648
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    You can not use Mod_Ruid2 combined with DSO with multiple PHP versions. While it's possible to use Mod_Ruid2 with another handler, it's generally not recommended due to compatibility issues. Additional documentation on Mod_Ruid2 is available at:

    Apache Module: ModRuid2 - EasyApache 4 - cPanel Documentation

    Thank you.
     
Loading...

Share This Page